AiTranslator

Update AI translator context

Updates AI translator context

PATCH
/api/v2/ai-translators/{id}/context

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The ai translator id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v2/ai-translators/d3cb3f65-5b8b-4620-8480-5165621e1112/context" \  -H "Content-Type: application/json" \  -d '{    "context": "Default prompt context"  }'
{  "id": "d3cb3f65-5b8b-4620-8480-5165621e1112",  "type": "ChatGPT",  "name": "ChatGPT",  "apiUrl": "https://test.com",  "promptTokenRate": 0.0005,  "completionTokenRate": 0.0005,  "languages": [    1  ],  "context": "Default prompt context",  "createdAt": "2025-12-12 00:00:00",  "updatedAt": "2025-12-12 00:00:00",  "deletedAt": "2025-12-12 00:00:00",  "actions": [    "AiTranslatorUpdate",    "AiTranslatorDelete"  ]}
{  "errors": {    "context": [      "Invalid context value"    ]  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}